SystemOrganization addCategory: #'JiffyCard-Test'!

TestCase subclass: #JCPassIvarTest
	instanceVariableNames: 'dummy1 dummy2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Test'!

!JCPassIvarTest commentStamp: 'chc 12/23/2017 11:33' prior: 0!
Create an object with an ivar. Serialize. Pass it to another object!

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:40'!
setUp
	dummy1 := JCDummyOne new serialize! !

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 12:45'!
testHashChanged
	| hashstart hashfinish |
	hashstart := dummy1 hash.
	hashfinish :=  (dummy1 serialize materialize) hash.
	self assert: hashstart ~= hashfinish! !

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:50'!
testInitialDummyHasItems
	self assert: (dummy1 materialize) cart hasItems! !

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:40'!
testMaterializeIvar
	self assert: (dummy1 materialize) cart notNil! !

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:51'!
testNextDummyHasItems
	| dummy2 |
	dummy2 := JCDummyTwo new cart: (dummy1 materialize) cart.
	self assert: (dummy2 serialize materialize) cart hasItems! !

!JCPassIvarTest methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:46'!
testPassIvar
	| dummy2 |
	dummy2 := JCDummyTwo new cart: (dummy1 materialize) cart.
	self assert: (dummy2 serialize materialize) cart notNil! !

JCCard subclass: #JCDummyOne
	instanceVariableNames: 'cart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Test'!

!JCDummyOne methodsFor: 'accessing' stamp: 'chc 12/23/2017 11:32'!
cart

	^ cart! !

!JCDummyOne methodsFor: 'accessing' stamp: 'chc 12/23/2017 11:32'!
cart: anObject

	cart := anObject! !

!JCDummyOne methodsFor: 'as yet unclassified' stamp: 'chc 12/23/2017 11:47'!
initialize
	cart := WAStoreCart new add: (WAStoreItem new title: 'Kisu')! !

JCCard subclass: #JCDummyTwo
	instanceVariableNames: 'cart'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JiffyCard-Test'!

!JCDummyTwo methodsFor: 'accessing' stamp: 'chc 12/23/2017 11:32'!
cart

	^ cart! !

!JCDummyTwo methodsFor: 'accessing' stamp: 'chc 12/23/2017 11:32'!
cart: anObject

	cart := anObject! !
